# $Header: /home/cvs/informixtcl/informix.m4,v 1.2 2000/03/18 18:30:21 achim Exp $

AC_DEFUN(SC_GET_INFORMIXCONFIG, [

#
#	Check presence of INFORMIXDIR
#
	AC_MSG_CHECKING([for INFORMIX environment])
	if test -z "${INFORMIXDIR}" ; then
		AC_MSG_ERROR([Environment variable INFORMIXDIR not set])
	fi
	ESQLC=esql
	ESQLCOPTS=-e
#
#   Check existence of esql
#
	if test ! -x $INFORMIXDIR/bin/esql; then
		AC_MSG_ERROR([esql not found])
	fi

#
#   Get INFORMIX-Version with esql -V
#
	INFORMIX_VERSION=`esql -V | grep Version | cut -f 3 -d ' '`
    ESQLCVERSION=`echo $INFORMIX_VERSION | cut -f 1 -d.``echo $INFORMIX_VERSION | cut -f 2 -d .`

#
#   Check existence of include path
#
	ESQLCINCLUDES=$INFORMIXDIR/incl/esql
	if test ! -d $ESQLCINCLUDES ; then
		AC_MSG_ERROR([esql include path not found])
	fi
#
#   Get libraries with esql -libs
#
	ESQLCLIBS=`esql -libs`
	ESQLCLIBS="-L$INFORMIXDIR/lib -L$INFORMIXDIR/lib/esql `echo $ESQLCLIBS`"
	AC_SUBST(ESQLC)
	AC_SUBST(ESQLCOPTS)
	AC_SUBST(ESQLCLIBS)
	AC_SUBST(ESQLCINCLUDES)
	AC_SUBST(ESQLCVERSION)
	AC_MSG_RESULT([$INFORMIX_VERSION])
])

